## com.fusioncharts.sampledata
Enum ChartType

    java.lang.Object
      java.lang.Enum<ChartType>
          com.fusioncharts.sampledata.ChartType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ChartType>

    public enum ChartType

extends java.lang.Enum<ChartType>

Enum Constant Summary
`COLUMN2D`
`COLUMN3D`
`LINE`
`MSCOLUMN2D`
`MSCOLUMN3D`
`MSCOLUMN3DLINEDY`
`MSCOLUMNLINE3D`
`MSCOMBI2D`
`MSCOMBI3D`
`MSLINE`
`PIE2D`
`PIE3D`
`STACKEDCOLUMN3D`

Field Summary
`private java.lang.String` `chartName`
`private java.lang.String` `fileName`

Method Summary
`java.lang.String` `getFileName()`
`java.lang.String` `toString()`
`static ChartType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ChartType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COLUMN2D

    public static final ChartType COLUMN2D

### COLUMN3D

    public static final ChartType COLUMN3D

### PIE3D

    public static final ChartType PIE3D

### PIE2D

    public static final ChartType PIE2D

### LINE

    public static final ChartType LINE

### MSCOLUMN2D

    public static final ChartType MSCOLUMN2D

### MSCOLUMN3D

    public static final ChartType MSCOLUMN3D

### MSLINE

    public static final ChartType MSLINE

### MSCOMBI2D

    public static final ChartType MSCOMBI2D

### MSCOMBI3D

    public static final ChartType MSCOMBI3D

### MSCOLUMNLINE3D

    public static final ChartType MSCOLUMNLINE3D

### STACKEDCOLUMN3D

    public static final ChartType STACKEDCOLUMN3D

### MSCOLUMN3DLINEDY

    public static final ChartType MSCOLUMN3DLINEDY

Field Detail

### chartName

    private java.lang.String chartName

### fileName

    private java.lang.String fileName

Method Detail

### values

    public static ChartType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ChartType c : ChartType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ChartType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getFileName

    public java.lang.String getFileName()

  Returns:
    the fileName

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<ChartType>`